Company Cashflow Statement
curl --request POST \
--url https://api.reportify.cn/v1/stock/company-cashflow-statement \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"symbol": "<string>",
"period": "<string>",
"limit": 123,
"start_date": "<string>",
"end_date": "<string>",
"calendar": "<string>",
"fiscal_year": "<string>",
"fiscal_quarter": "<string>"
}
'import requests
url = "https://api.reportify.cn/v1/stock/company-cashflow-statement"
payload = {
"symbol": "<string>",
"period": "<string>",
"limit": 123,
"start_date": "<string>",
"end_date": "<string>",
"calendar": "<string>",
"fiscal_year": "<string>",
"fiscal_quarter": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
symbol: '<string>',
period: '<string>',
limit: 123,
start_date: '<string>',
end_date: '<string>',
calendar: '<string>',
fiscal_year: '<string>',
fiscal_quarter: '<string>'
})
};
fetch('https://api.reportify.cn/v1/stock/company-cashflow-statement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"code": 123,
"message": "<string>",
"data": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}财务数据
Company Cashflow Statement
Current and historical cash flow statement of publicly listed companies
POST
/
v1
/
stock
/
company-cashflow-statement
Company Cashflow Statement
现金流量表
URL:/v1/stock/company-cashflow-statement
方法: POST描述: 获取公司现金流量表数据。
请求参数
| 参数名 | 类型 | 必填 | 描述 |
|---|---|---|---|
| symbol | str | 是 | 股票代码。 |
| period | str | 否 | 报告周期:annual、quarterly、cumulative quarterly。 |
| limit | int | 否 | 返回最近 N 条记录,默认 8。 |
| start_date | str | 否 | 开始日期(YYYY-MM-DD)。 |
| end_date | str | 否 | 结束日期(YYYY-MM-DD)。 |
| calendar | str | 否 | calendar 或 fiscal,默认 fiscal。 |
| fiscal_year | str | 否 | 指定财年(如 2023)。 |
| fiscal_quarter | str | 否 | 指定财季(Q1, Q2, Q3, Q4, FY, H1, Q3 (9 months))。 |
响应参数
| 参数名 | 类型 | 描述 |
|---|---|---|
| status | int | HTTP 状态码。 |
| code | int | 响应代码(0 表示成功)。 |
| message | str | 响应消息。 |
| data | array | 现金流量表数据列表。 |
| currency | str | 货币单位。 |
| end_date | str | 报告期结束日期(YYYY-MM-DD)。 |
| symbol | str | 股票代码。 |
| fiscal_year | str | 财年。 |
| fiscal_quarter | str | 财季。 |
| period | str | 报告周期类型。 |
| filling_date | str | 填报日期(YYYY-MM-DD)。 |
| cash_flows_from_operating_activities | object | 经营活动现金流。 |
| net_cash_flows_from_operating_activities | number | 经营活动产生的现金流量净额。 |
| cash_flows_from_investing_activities | object | 投资活动现金流。 |
| net_cash_flows_from_investing_activities | number | 投资活动产生的现金流量净额。 |
| cash_flows_from_financing_activities | object | 筹资活动现金流。 |
| net_cash_flows_from_financing_activities | number | 筹资活动产生的现金流量净额。 |
| effect_of_exchange_rate_changes_on_cash_and_cash_equivalents | number | 汇率变动对现金及现金等价物的影响。 |
| net_increase_in_cash_and_cash_equivalents | number | 现金及现金等价物净增加额。 |
| cash_and_cash_equivalents_at_beginning_of_year | number | 期初现金及现金等价物余额。 |
| cash_and_cash_equivalents_at_end_of_year | number | 期末现金及现金等价物余额。 |
请求示例
cURLcurl -X POST https://api.reportify.cn/v1/stock/company-cashflow-statement \
-H "Authorization: Bearer 447460****09c9" \
-H "Content-Type: application/json" \
-d '{
"symbol": "00700",
"limit": 2
}'
import requests
url = "https://api.reportify.cn/v1/stock/company-cashflow-statement"
headers = {
"Authorization": "Bearer 447460****09c9",
"Content-Type": "application/json"
}
data = {
"symbol": "00700",
"limit": 2
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
响应示例
{
"status": 200,
"code": 0,
"message": "",
"data": [
{
"currency": "CNY",
"end_date": "2025-09-30",
"symbol": "00700",
"fiscal_year": "2025",
"fiscal_quarter": "Q3",
"period": "quarterly",
"filling_date": "2025-11-13",
"cash_flows_from_operating_activities": {
"net_cash_flows_from_operating_activities": 85312000000.0
},
"cash_flows_from_investing_activities": {
"net_cash_flows_from_investing_activities": -75507000000.0
},
"cash_flows_from_financing_activities": {
"net_cash_flows_from_financing_activities": -30637000000.0,
"effect_of_exchange_rate_changes_on_cash_and_cash_equivalents": -1243000000.0,
"net_increase_in_cash_and_cash_equivalents": -20832000000.0,
"cash_and_cash_equivalents_at_beginning_of_year": 0.0,
"cash_and_cash_equivalents_at_end_of_year": -22075000000.0
}
}
]
}
错误响应
| 状态码 | 描述 |
|---|---|
| 422 | 请求参数验证失败。 |
Authorizations
Enter your Bearer token
Body
application/json
Input schema for company cashflow statement
Stock symbol
Report cycle: 'annual', 'quarterly', 'cumulative quarterly'
Return latest N records, default 8
Start date (YYYY-MM-DD)
End date (YYYY-MM-DD)
'calendar' or 'fiscal', default 'fiscal'
Specific fiscal year (e.g., '2023')
Specific fiscal quarter (Q1, Q2, Q3, Q4, FY, H1, 'Q3 (9 months)')
⌘I
